Bug 487535 - Review Request: bltk - Baterry Life Tool Kit
Review Request: bltk - Baterry Life Tool Kit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 11:09 EST by Jiri Skala
Modified: 2014-11-09 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 04:01:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Skala 2009-02-26 11:09:04 EST
Spec URL: http://people.redhat.com/jskala/bltk/devel/bltk.spec
SRPM URL: http://people.redhat.com/jskala/bltk/devel/bltk-1.0.8-1.fc10.src.rpm

Description: 

I've just done packaging up bltk and I'd like ask for a review so that I can get it into Fedora Extras.

The Battery Life Tool Kit is used to measure battery life and performance under
different workloads on Linux. Test can be used with various workloads to
simulate different types of laptop usage (idle, office, reader, player, developer, game).
Comment 1 Marcela Mašláňová 2009-02-27 03:02:44 EST
? Rpmlint must be run on every package.
bltk.x86_64: W: dangling-relative-symlink /usr/bin/bltk_report ../lib/bltk/bin/bltk_report
bltk.x86_64: W: dangling-relative-symlink /usr/bin/bltk_report_uncompress ../lib/bltk/bin/bltk_report_uncompress
bltk.x86_64: W: dangling-relative-symlink /usr/bin/bltk_report_table ../lib/bltk/bin/bltk_report_table
bltk.x86_64: W: dangling-relative-symlink /usr/bin/bltk_report_compress ../lib/bltk/bin/bltk_report_compress
bltk.x86_64: E: setuid-binary /usr/lib64/bltk/bin/bltk_sudo root 04755
bltk.x86_64: E: non-standard-executable-perm /usr/lib64/bltk/bin/bltk_sudo 04755
bltk.x86_64: W: dangling-relative-symlink /usr/bin/bltk_plot ../lib/bltk/bin/bltk_plot
bltk.x86_64: W: dangling-relative-symlink /usr/bin/bltk ../lib/bltk/bin/bltk

OK The package must be named according to the Package Naming Guidelines.
OK The spec file name must match the base package %{name}.
OK The package must meet the Packaging Guidelines.
OK The package must be licensed with a Fedora approved license.
OK The License field in the package spec file must match the actual license.
OK If (and only if) the source package includes the text of the license(s) in its own file.
OK The spec file must be written in American English.
OK The spec file for the package MUST be legible.
OK The sources used to build the package must match the upstream source.
OK The package MUST successfully compile.
? Correct BuildRequires.
You can remove BR commented out.

OK Proper use of %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK Shared library files (not just symlinks) must call ldconfig in %post and %postun.
OK Relocatable package must state this fact in the request for review.
OK A package must own all directories that it creates.
OK A package must not contain any duplicate files in the %files listing.
OK Permissions on files must be set properly.
OK Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK Each package must consistently use macros.
OK The package must contain code, or permissable content.
OK Large documentation files must go in a -doc subpackage.
OK If a package includes something as %doc, it must not affect the runtime of the application.
OK Header files must be in a -devel package.
OK Static libraries must be in a -static package.
OK Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
? Library files with a suffix (e.g. libfoo.so.1.1) and files that end in .so (without suffix) must go in -devel.
Shouldn't be %{_libdir}/bltk/lib/libxse.so.0 in devel package?

OK In the vast majority of cases, devel packages must require the base package.
OK Packages must NOT contain any .la libtool archives.
OK Packages containing GUI applications must include a %{name}.desktop file.
OK At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Comments:
Setuid is ok in this case because it's needed by package, but dangling symlink is must fix.
Is it arch specific? Shouldn't this be noarch?
Comment 2 Marcela Mašláňová 2009-03-02 09:53:34 EST
The new version of bltk
http://people.redhat.com/jskala/bltk/devel/bltk-1.0.8-1.fc10.src.rpm

bltk.x86_64: E: setuid-binary /usr/lib64/bltk/bin/bltk_sudo root 04755
bltk.x86_64: E: non-standard-executable-perm /usr/lib64/bltk/bin/bltk_sudo 04755
that's correct at least for this version.

Source files are ok: 790f76ec479abb166b4c5fcb98106d87

The library is now so.0 so it's all right.
Comment 3 Jiri Skala 2009-03-03 05:27:09 EST
New Package CVS Request
=======================
Package Name: bltk
Short Description: The Battery Life Tool Kit
Owners: jskala
Branches: devel
InitialCC:
Comment 4 Kevin Fenzi 2009-03-03 15:37:39 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.